org.apache.mina.example.tapedeck

## Class AuthenticationHandler

- java.lang.Object
- - org.apache.mina.example.tapedeck.AuthenticationHandler

-     public class AuthenticationHandler
      extends Object

  TODO Add documentation
  Author:
    Apache MINA Project

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DONE`
    `static String` | `FAILED`
    `static String` | `ROOT`
    `static String` | `START`
    `static String` | `WAIT_PASSWORD`
    `static String` | `WAIT_USER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commandSyntaxError(IoSession session, CommandSyntaxException e)`
    `void` | `errorWaitingForPassword(IoSession session, Command cmd)`
    `void` | `errorWaitingForUser(IoSession session, Command cmd)`
    `void` | `exceptionCaught(IoFilter.NextFilter nextFilter, IoSession session, Throwable cause)`
    `void` | `exceptionCaught(IoSession session, Exception e)`
    `void` | `filterClose(IoFilter.NextFilter nextFilter, IoSession session)`
    `void` | `filterWrite(IoFilter.NextFilter nextFilter, IoSession session, WriteRequest writeRequest)`
    `void` | `messageReceived(IoFilter.NextFilter nextFilter, IoSession session, Object message)`
    `void` | `messageSent(IoFilter.NextFilter nextFilter, IoSession session, WriteRequest writeRequest)`
    `void` | `password(org.apache.mina.example.tapedeck.AuthenticationHandler.AuthenticationContext context, IoFilter.NextFilter nextFilter, IoSession session, PasswordCommand cmd)`
    `void` | `quit(org.apache.mina.example.tapedeck.TapeDeckServer.TapeDeckContext context, IoSession session, QuitCommand cmd)`
    `void` | `sendAuthRequest(IoFilter.NextFilter nextFilter, IoSession session)`
    `void` | `sessionClosed(IoFilter.NextFilter nextFilter, IoSession session)`
    `void` | `user(org.apache.mina.example.tapedeck.AuthenticationHandler.AuthenticationContext context, IoFilter.NextFilter nextFilter, IoSession session, UserCommand cmd)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROOT

          public static final String ROOT

      See Also:
        Constant Field Values

    - #### START

          public static final String START

      See Also:
        Constant Field Values

    - #### WAIT_USER

          public static final String WAIT_USER

      See Also:
        Constant Field Values

    - #### WAIT_PASSWORD

          public static final String WAIT_PASSWORD

      See Also:
        Constant Field Values

    - #### DONE

          public static final String DONE

      See Also:
        Constant Field Values

    - #### FAILED

          public static final String FAILED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AuthenticationHandler

          public AuthenticationHandler()

  - ### Method Detail

    - #### sendAuthRequest

          public void sendAuthRequest(IoFilter.NextFilter nextFilter,
                             IoSession session)

    - #### user

          public void user(org.apache.mina.example.tapedeck.AuthenticationHandler.AuthenticationContext context,
                  IoFilter.NextFilter nextFilter,
                  IoSession session,
                  UserCommand cmd)

    - #### password

          public void password(org.apache.mina.example.tapedeck.AuthenticationHandler.AuthenticationContext context,
                      IoFilter.NextFilter nextFilter,
                      IoSession session,
                      PasswordCommand cmd)

    - #### quit

          public void quit(org.apache.mina.example.tapedeck.TapeDeckServer.TapeDeckContext context,
                  IoSession session,
                  QuitCommand cmd)

    - #### errorWaitingForUser

          public void errorWaitingForUser(IoSession session,
                                 Command cmd)

    - #### errorWaitingForPassword

          public void errorWaitingForPassword(IoSession session,
                                     Command cmd)

    - #### commandSyntaxError

          public void commandSyntaxError(IoSession session,
                                CommandSyntaxException e)

    - #### exceptionCaught

          public void exceptionCaught(IoSession session,
                             Exception e)

    - #### sessionClosed

          public void sessionClosed(IoFilter.NextFilter nextFilter,
                           IoSession session)

    - #### exceptionCaught

          public void exceptionCaught(IoFilter.NextFilter nextFilter,
                             IoSession session,
                             Throwable cause)

    - #### messageReceived

          public void messageReceived(IoFilter.NextFilter nextFilter,
                             IoSession session,
                             Object message)

    - #### messageSent

          public void messageSent(IoFilter.NextFilter nextFilter,
                         IoSession session,
                         WriteRequest writeRequest)

    - #### filterClose

          public void filterClose(IoFilter.NextFilter nextFilter,
                         IoSession session)

    - #### filterWrite

          public void filterWrite(IoFilter.NextFilter nextFilter,
                         IoSession session,
                         WriteRequest writeRequest)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.